#pragma once

#include "TapeControlDlg.h"

// CTapeCtrlView

class CTapeCtrlView : public CDockablePane
{
		DECLARE_DYNAMIC(CTapeCtrlView)

	protected:
		CTapeControlDlg m_TapeCtrlDlg;

	public:
		CTapeCtrlView();
		void AdjustLayout();

		virtual ~CTapeCtrlView();
		void UpdateTapeControls(bool bEmuLoad = false, bool bEmuSave = false);
		void InitParams(CString &strPath, bool bAutoBeginDetection, bool bAutoEnsDetection, CTape *pTape);
		void GetParams(bool &bAutoBeginDetection, bool &bAutoEnsDetection);

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnPaint();
		DECLARE_MESSAGE_MAP()
};
